
!TOSeasideErrorHandler methodsFor: '*tode-gemstone-seaside' stamp: 'dkh 05/21/2011 04:36'!
remoteBreakpointMethod
	"Special marker method ... causes OTRemoteDebugger to be used for debugging"
	
	^self! !

!TOSeasideErrorHandler methodsFor: '*tode-gemstone-seaside' stamp: 'dkh 07/21/2011 15:17'!
saveExceptionContinuation: anException

	| continuation action |
	 GRPlatform current canDebugInteractively
		ifTrue: [ anException pass ].
	action := [:cont | continuation := cont. #create ] callCC.
	action == #create
		ifTrue: [ | logEntry|
			"Dump the stack to the log file on the off chance that the error is lost in the event of a commit failure"
			GRPlatform current logError: anException description title: 'Error (continuation logged)'.
			WACurrentRequestContext value forDebugging: true.
			logEntry := WAObjectLogEntry 
				error: anException description 
				request: WACurrentRequestContext value request
				continuation: continuation.
			"the continuation is not resumable"
			logEntry resumeContinuation.
			logEntry addToLog.
			^self].
	action == #debug
		ifTrue: [ | meth |
			meth := self class lookupSelector: #remoteBreakpointMethod.
			meth setBreakAtStepPoint: 1.
			self remoteBreakpointMethod ].
! !

!TOMain methodsFor: '*tode-gemstone-seaside' stamp: 'dkh 07/27/2011 11:25'!
windowTitle
	| stoneName userId |
	stoneName := System stoneName copyAfterLast: $!!.
	userId := System myUserProfile userId.
	^ 'tODE [' , stoneName , ':' , userId , ']'! !
